<?php
/**
 * Plugin Name: Show When Logic for Elementor
 * Description: Hide or show Elementor widgets based on date/time
 * Author URI: https://www.boxoutmarketing.com
 * Author: Box Out Marketing
 * Version: 1.0
 *
 * Text Domain: visibility-showwhen-elementor
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

define( 'ELEMENTOR_SHOWWHEN', '1.0' );

define( 'ELEMENTOR_SHOWWHEN_FILE__', __FILE__ );
define( 'ELEMENTOR_SHOWWHEN_PLUGIN_BASE', plugin_basename( ELEMENTOR_SHOWWHEN_FILE__ ) );
define( 'ELEMENTOR_SHOWWHEN_PATH', plugin_dir_path( ELEMENTOR_SHOWWHEN_FILE__ ) );

add_action( 'plugins_loaded', 'ecl_showwhen_load_plugin_textdomain' );

/**
 * Load textdomain.
 *
 * Load gettext translate for Elementor text domain.
 *
 * @return void
 * @since 1.0.0
 *
 */
function ecl_showwhen_load_plugin_textdomain() {
	load_plugin_textdomain( 'visibility-showwhen-elementor' );
}

require_once ELEMENTOR_SHOWWHEN_PATH . 'Elementor_ShowWhen_Control.php';
